<ui:composition xmlns:g="http://www.ihe.net/gazelle" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:define name="body">
        <h2>#{messages['net.ihe.gazelle.xval.UnitTestsForRules']}</h2>
        <s:decorate template="/unittesting/unitTestEditorTemplate.xhtml">
            <ui:param name="managedBean" value="#{ruleUnitTestEditorManager}"/>
            <ui:param name="utManagerBean" value="#{ruleUnitTestManager}"/>
            <ui:define name="infoOnValidatedObject">
                <div class="panel panel-default">
                    <div class="panel-heading">#{messages['net.ihe.gazelle.xval.RuleDetails']}</div>
                    <div class="panel-body">
                        <ui:include src="/xvalidation/common/ruleDetails.xhtml">
                            <ui:param name="ruleToDisplay" value="#{ruleUnitTestEditorManager.rule}"/>
                        </ui:include>
                    </div>
                    <div class="panel-footer">
                        <h:form>
                            <a4j:commandButton value="#{messages['net.ihe.gazelle.xval.Back']}"
                                               styleClass="gzl-btn" onclick="history.back()"
                                               render=":globalForm"/>
                        </h:form>
                    </div>
                </div>
                <br/>
            </ui:define>
            <ui:define name="newInputCreation">
                <h:outputText value="#{messages['net.ihe.gazelle.xval.SelectTheInputForWhichYouWantToAddAFile']}"
                              rendered="#{ruleUnitTestEditorManager.displayListOfInputs}"/>
                <s:decorate template="/xvalidation/common/validatorInputsTable.xhtml"
                            rendered="#{ruleUnitTestEditorManager.displayListOfInputs}">
                    <ui:param name="inputs" value="#{ruleUnitTestEditorManager.inputsForRule}"/>
                    <ui:define name="actionButtons">
                        <a4j:commandLink id="addFileImg"
                                         title="#{messages['net.ihe.gazelle.xval.AddASampleFile']}" render="unitTestInputPanel"
                                         actionListener="#{ruleUnitTestEditorManager.createNewUnitTestFile(input)}">
                            <s:span styleClass="gzl-icon-upload text-info"/>
                        </a4j:commandLink>
                    </ui:define>
                </s:decorate>
            </ui:define>
            <ui:define name="buttonToCreateNewFile">
                <a4j:commandButton value="#{messages['net.ihe.gazelle.xval.AddAFile']}" rendered="#{not ruleUnitTestEditorManager.displayListOfInputs}"
                                   actionListener="#{ruleUnitTestEditorManager.setDisplayListOfInputs(true)}"
                                   render="unitTestInputPanel"
                                   styleClass="gzl-btn-green"/>
                <a4j:commandButton value="#{messages['net.ihe.gazelle.xval.Cancel']}" rendered="#{ruleUnitTestEditorManager.displayListOfInputs}"
                                   actionListener="#{ruleUnitTestEditorManager.setDisplayListOfInputs(false)}"
                                   render="unitTestInputPanel"
                                   styleClass="gzl-btn-orange"/>
            </ui:define>
        </s:decorate>
    </ui:define>
</ui:composition>